# Interface ISectionOptions

#### Hierarchy

- ISectionOptions

- Defined in src/file/file.ts:24

#####
Index

### Properties

children
footers?
headers?
properties?

## Properties

### `Readonly` children

children: readonly (Paragraph | Table | TableOfContents)[]

- Defined in src/file/file.ts:36

### `Optional` `Readonly` footers

footers?: { default?: Footer; even?: Footer; first?: Footer }

#### Type declaration

- ##### `Optional` `Readonly` default?: Footer

- ##### `Optional` `Readonly` even?: Footer

- ##### `Optional` `Readonly` first?: Footer

- Defined in src/file/file.ts:30

### `Optional` `Readonly` headers

headers?: { default?: Header; even?: Header; first?: Header }

#### Type declaration

- ##### `Optional` `Readonly` default?: Header

- ##### `Optional` `Readonly` even?: Header

- ##### `Optional` `Readonly` first?: Header

- Defined in src/file/file.ts:25

### `Optional` `Readonly` properties

properties?: ISectionPropertiesOptions

- Defined in src/file/file.ts:35

Generated using TypeDoc